Bug 1019792 - Unable to launch Jenkins slave if cloud domain contains a dash
Unable to launch Jenkins slave if cloud domain contains a dash
Product: OpenShift Container Platform
Classification: Red Hat
Component: Containers (Show other bugs)
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Brenton Leanhardt
libra bugs
Depends On:
  Show dependency treegraph
Reported: 2013-10-16 08:21 EDT by Johnny Liu
Modified: 2017-03-08 12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-12-16 04:11:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Johnny Liu 2013-10-16 08:21:12 EDT
Description of problem:

Now domain name is "ose-1014.com.cn", when Jenkins goes to launch the slave and download slave.jar, the URL gets messed up. Here is jenkins server log:
Oct 16, 2013 8:10:52 AM hudson.plugins.openshift.OpenShiftComputerLauncher launch
INFO: Exec mkdir -p $OPENSHIFT_DATA_DIR/jenkins && cd $OPENSHIFT_DATA_DIR/jenkins && rm -f slave.jar && wget -q --no-check-certificate https://jenkins-jialiu.ose/jnlpJars/slave.jar
Oct 16, 2013 8:10:52 AM hudson.slaves.NodeProvisioner update

Jenkins should download the slave jar fiel from https://jenkins-jialiu.ose-1014.com.cn/jnlpJars/slave.jar

BZ#984608 is reproduced again in ose-2.0.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Actual results:

Expected results:

Additional info:
Comment 3 Brenton Leanhardt 2013-10-30 16:12:29 EDT
The problem was due to an incompatible version of the openshift-java-client.  For openshift enterprise the user-agent for requests using the broker token auth must be "OpenShift".  Instead it was getting set the jvm.
Comment 4 Johnny Liu 2013-10-30 23:28:46 EDT
Verified this bug with jenkins-plugin-openshift-0.6.23-1.el6op.x86_64 in 2.0/2013-10-30.1 puddle, and PASS.

Note You need to log in before you can comment on or make changes to this bug.